<template>
  <div class="app-menu min-vh-100">
    <b-img
      src="../assets/buu.png"
      width="150%"
      center
      class="pt-2 pb-2"
    ></b-img>
    <b-nav vertical>
      <b-nav-item to="/">Home</b-nav-item>
      <b-nav-item to="/about">About</b-nav-item>
      <b-nav-item @click="showFormInput = !showFormInput"
        >Form Input
        <b-icon
          :icon="showFormInput ? 'caret-down-fill' : 'caret-right-fill'"
        ></b-icon
      ></b-nav-item>
      <b-nav-item to="./formInput1" class="sub-menu" v-if="showFormInput"
        >Form Input 1</b-nav-item
      >
      <b-nav-item to="./formInput2" class="sub-menu" v-if="showFormInput"
        >Form Input 2</b-nav-item
      >
      <b-nav-item to="./formInput3" class="sub-menu" v-if="showFormInput"
        >Form Input 3</b-nav-item
      >
      <b-nav-item to="./formInput4" class="sub-menu" v-if="showFormInput"
        >Form Input 4</b-nav-item
      >
      <b-nav-item to="./formInput5" class="sub-menu" v-if="showFormInput"
        >Form Input 5</b-nav-item
      >
      <b-nav-item to="./formInput6" class="sub-menu" v-if="showFormInput"
        >Form Input 6</b-nav-item
      >
      <b-nav-item to="./formInput7" class="sub-menu" v-if="showFormInput"
        >Form Input 7</b-nav-item
      >
      <b-nav-item to="./formInput8" class="sub-menu" v-if="showFormInput"
        >Form Input 8</b-nav-item
      >
      <b-nav-item to="./formInput9" class="sub-menu" v-if="showFormInput"
        >Form Input 9</b-nav-item
      >

      <b-nav-item @click="showForm = !showForm"
        >Form
        <b-icon
          :icon="showForm ? 'caret-down-fill' : 'caret-right-fill'"
        ></b-icon
      ></b-nav-item>
      <b-nav-item to="./form1" class="sub-menu" v-if="showForm"
        >Form 1</b-nav-item
      >
      <b-nav-item to="./form2" class="sub-menu" v-if="showForm"
        >Form 2</b-nav-item
      >
      <b-nav-item to="./form3" class="sub-menu" v-if="showForm"
        >Form 3</b-nav-item
      >
      <b-nav-item to="./form4" class="sub-menu" v-if="showForm"
        >Form 4</b-nav-item
      >

      <b-nav-item @click="showCrudExample = !showCrudExample"
        >CRUD Example
        <b-icon
          :icon="showCrudExample ? 'caret-down-fill' : 'caret-right-fill'"
        ></b-icon
      ></b-nav-item>
      <b-nav-item to="./datatable1" class="sub-menu" v-if="showCrudExample"
        >Data table 1</b-nav-item
      >
      <b-nav-item to="./productform1" class="sub-menu" v-if="showCrudExample"
        >Product Form 1</b-nav-item
      >
      <b-nav-item to="./productTable" class="sub-menu" v-if="showCrudExample"
        >Product Table</b-nav-item
      >
    </b-nav>
  </div>
</template>
<script>
export default {
  data () {
    return {
      showFormInput: false,
      showForm: false,
      showCrudExample: false
    }
  }
}
</script>
<style>
.app-menu {
  background-color: grey;
  font-size: 15pt;
}
.sub-menu {
  padding-left: 10pt;
}
.nav-link {
  color: white;
  text-align: left;
}
.nav-link:hover {
  color: gold;
}
</style>
